package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class MemberExternalUserDTO implements Serializable , Comparable<MemberExternalUserDTO>{

    private String staffId ;
    private String memberId ;
    private String clerkHead ;
    private String clerkId ;
    private String clerkCode ;
    private String clerkName ;
    private String storeId ;
    private String storeName ;
    private String storeCode ;

    /**
     * 添加好友时间
     */
    private Date addTime ;
    /**
     * 单向好友-客户删客户时间
     */
    private Date halfDelTime ;

    /**
     * 导购删除客户时间
     */
    private Date delTime ;

    /**
     * 1 好友 2已删除
     */
    private Integer statusFlag ;

    // 外部联系人ID状态1正常,  3单向好友
    private Integer externalStatus = 1 ;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkHead() {
        return clerkHead;
    }

    public void setClerkHead(String clerkHead) {
        this.clerkHead = clerkHead;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getExternalStatus() {
        return externalStatus;
    }

    public void setExternalStatus(Integer externalStatus) {
        this.externalStatus = externalStatus;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getHalfDelTime() {
        return halfDelTime;
    }

    public void setHalfDelTime(Date halfDelTime) {
        this.halfDelTime = halfDelTime;
    }

    public Date getDelTime() {
        return delTime;
    }

    public void setDelTime(Date delTime) {
        this.delTime = delTime;
    }

    @Override
    public int compareTo(MemberExternalUserDTO o) {
        return  o.addTime.compareTo(this.addTime);
    }
}
